SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

CREATE DATABASE IF NOT EXISTS `calendar` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `calendar`;

CREATE TABLE IF NOT EXISTS `event` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `eventid` varchar(8) NOT NULL DEFAULT '' COMMENT 'random',
  `userid` int(11) NOT NULL,
  `name` varchar(25) NOT NULL DEFAULT '0',
  `eventdate` varchar(10) NOT NULL DEFAULT '0',
  `eventtime` varchar(2) NOT NULL DEFAULT '0',
  `desc` text NOT NULL,
  `filter` enum('car','bike') NOT NULL,
  `type` enum('public','personal') NOT NULL DEFAULT 'public' COMMENT 'event type',
  `file` varchar(50) DEFAULT NULL COMMENT 'file path',
  `event_added` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT 'event creation time',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='events table:\r\n';

CREATE TABLE IF NOT EXISTS `note` (
  `noteid` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(64) NOT NULL DEFAULT '0',
  `content` text NOT NULL,
  `date_added` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT 'created / edited',
  PRIMARY KEY (`noteid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='notes table:\r\nnotes are private';

CREATE TABLE IF NOT EXISTS `user` (
  `userid` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(25) NOT NULL DEFAULT '0',
  `email` varchar(36) NOT NULL,
  `password` varchar(64) NOT NULL COMMENT 'hash-sha256',
  `role` enum('user','admin') NOT NULL DEFAULT 'user' COMMENT 'user, role, ...',
  `active` enum('yes','no') NOT NULL DEFAULT 'no' COMMENT 'approve user',
  `added` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT 'created / edited',
  PRIMARY KEY (`userid`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COMMENT='user table:';

INSERT IGNORE INTO `user` (`userid`, `username`, `email`, `password`, `role`, `active`, `added`) VALUES
(1, 'admin', 'admin@mail.com', 'f5af8ed50acc3efbe6b65d0c32420543e645d2ff1f2e6e2cdd9615d90adee080', 'admin', 'yes', NOW());
